List Demo source recipes
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/demo/source-recipes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/source-recipes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/demo/source-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"recipes": [
{
"version": "<string>",
"displayName": "<string>",
"description": "<string>",
"sourceId": "<string>",
"disclosure": "<string>",
"synthetic": true
}
],
"presets": [
{
"presetId": "mixed-publisher",
"displayName": "<string>",
"description": "<string>",
"recipeIds": []
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List Demo source recipes
List immutable synthetic modular-source recipes and composition presets available to Demo Storefronts.
GET
/
demo
/
source-recipes
List Demo source recipes
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/demo/source-recipes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/source-recipes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/demo/source-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"recipes": [
{
"version": "<string>",
"displayName": "<string>",
"description": "<string>",
"sourceId": "<string>",
"disclosure": "<string>",
"synthetic": true
}
],
"presets": [
{
"presetId": "mixed-publisher",
"displayName": "<string>",
"description": "<string>",
"recipeIds": []
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I